/*kolory

#f3fbf3 - jasny, tło
#a0d0a0 - ciemny, pasek
#d6f5d6 - jasne tło w menu
#e6f0e6 - pasek w nagłówkach

  border-color: #47d147;//b3ffb3;//66ffcc
  background-color: #d6f5d6;//e6ffe6;//ccffee
  :hover color: #004d00;//004d00//004d33
*/

body {
  background: #263035 url("../_img/AZetKa-dark-dark.gif");
  box-sizing: border-box;
  color: #eeefff;
  font: normal 1em Verdana, Geneva, sans-serif;
  margin: 0;
}
@media only screen and (max-width: 768px) {
  body {
    font-size: 90%;
  }
}
@media only screen and (max-width: 470px) {
  body {
    font-size: 75%;
  }
}

a {
  color: #eeefff;
  text-decoration: none;
}
button {
  background-color: #303a3f;/*#a0d0a0;/*#47d147; /*yellowgreen;*/
  border: 2px solid #444f54;/*049904;/*#d6f5d6; /*greenyellow;*/
  box-shadow: 2px 2px #444f54;
  color: #eeefff;
  font-size: 1em;
}
input,
textarea {
  background-color: #303a3f;/*#a0d0a0;/*#47d147; /*yellowgreen;*/
  border: 1px solid #444f54;/*049904;/*#d6f5d6; /*greenyellow;*/
  color: #eeefff;
  font: normal 1em Verdana, Geneva, sans-serif;
}

progress {
  background-color: #373e4a;/*373949;373749;/*input-background-color*/
  border-color: #424a59;/*424457;424257;/*general-border-color*/
  color: #f0f9f9;/*#f0f0ff;/*input-text-color*/
}

p {
  line-height: 1.2;
}
.no-display {
  display: none;
}
.invisible {
  visibility: hidden;
}
.flex {
  display: flex;
}
.text-left {
  text-align: left;
}
.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}
.text-right {
  text-align: right;
}
.italic {
  font-style: italic;
}
.smaller {
  font-size: smaller;
}

.line-spacing-15 {
  line-height: 1.5;
}
.std-canvas {
  background-color:  #303a3f;/*#d6f5d6;*/
  border: 5px solid #444f54;/*#a0d0a0;*/
  box-shadow: 5px 5px #444f54;
  color: #eeefff;
  margin: 5px;
  padding: 5px;
}
.azk-canvas {
  background-color: darkgreen;/*#d6f5d6;*/
  border: 5px solid green;/*#a0d0a0;*/
  box-shadow: 5px 5px #f3fbf3;
  color: lightgreen;
  margin: 5px;
  padding: 5px;
}
.grey-canvas {
  background-color: lightgrey;
  border: 5px solid darkgrey;
  box-shadow: 5px 5px lightgrey;
  color: black;
  margin: 5px;
  padding: 5px;
}
.green-canvas {
  background-color: lightgreen;
  border: 5px solid darkgreen;
  box-shadow: 5px 5px lightgreen;
  color: #002200;
  margin: 5px;
  padding: 5px;
}
h1 {
  background-color: #162025;/*#a0d0a0;/*#47d147;*/
  border: 1px solid #111b20; /*greenyellow;*/
  padding: 2px 5px;
}
h2 {
  background-color: #1a2429;/*#a0d0a0;/*#47d147;*/
  border: 1px solid #162025; /*greenyellow;*/
  padding: 2px 5px;
}
h3 {
  background-color: #1d282c;/*#a0d0a0;/*#47d147;*/
  border: 1px solid #1a2429; /*greenyellow;*/
  padding: 1px 5px;
}
h4 {
  background-color: #212b30;/*#a0d0a0;/*#47d147;*/
  border: 1px solid #1d282c; /*greenyellow;*/
  padding: 1px 5px;
}

.under-construction {
  align-content: flex-end;
  background-image: url('../_img/busy__.gif');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  color: red;
  display: flex;
  flex-wrap: wrap;
  font-size: 10px;
  height: 70px;
  justify-content: center;
  position: fixed;
  right: 50px;
  text-align: center;
  top: 50px;
  width: 70px;
}
.under-construction > div {
  height: 1em;
}
@media only screen and (max-width: 768px) {
  .under-construction {
    font-size: 80%;
    height: 120px;
    right: 30px;
    top: 30px;
    width: 120px;
  }
}
@media only screen and (max-width: 470px) {
  .under-construction {
    font-size: 70%;
    height: 90px;
    right: 10px;
    top: 10px;
    width: 90px;
  }
}


.snp-banner {
  color: lightgreen;
  font-size: smaller;
  font-style: italic;
  padding-right: 5px;
  text-align: right;
}
.service-title {
  color: lightgreen;
  font-size: 400%;
  font-weight: bold;
  padding: 1em;
  text-align: center;
  text-shadow: 3px 3px green;
}
.service-subtitle {
  color: green;
  font-size: 200%;
  font-style: italic;
  padding: 1em;
  text-align: center;
  text-shadow: 1px 1px darkgreen;
}
.service-name {
  color: green;
  font-size: 200%;
  font-style: italic;
  margin-bottom: 1em;
  margin-top: 1em;
  padding: 1em;
  text-align: center;
  text-shadow: 1px 1px darkgreen;
}
.service-modules {
  align-items: stretch;
  display: flex;
  justify-content: space-between;
}
.service-modules > div {
  border: 0 solid #222222;
  border-width: 0 1px 0 0;
  padding: 1em;
  width: 31%;
}
.service-modules > div:last-child {
  border-right-width: 0;
}
.service-modules > div > div {
  font-weight: bold;
  padding: 0.5em;
}
.service-modules > div > ul > li > ul {
  display: none;
  transition: height 10s ease-in-out;
}
.service-modules > div > ul > li:hover > ul {
  display: block;
}
@media only screen and (max-width: 768px) {
  .service-modules {
    display: block;
  }
  .service-modules > div {
    border-width: 0;
    padding: 1em 0;
    width: auto;
  }
}

.screen-lock {
  bottom: 0;
  display: flex;
  left: 0;
  padding: 2%;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 100;
}
.screen-lock > button {
  position: absolute;
  right: 5px;
  top: 5px;
}

.iframe-div {
  /*animation: iframe-div-display 1s linear;*/
  background-color: #1d282c;
  border: 1px solid grey;
  display: block;
  height: 98%;
  overflow: auto;
  padding: 14px 10px 10px 14px;
  resize: both;
  width: 98%;
}
@keyframes iframe-div-display {
  from {height:0;width:0}
  to {height:98%;width:98%}
}
.iframe-div iframe {
  height: 99%;
  width: 99%;
}

.list-a {
  list-style-image: url('../_img/list_a-dg.gif');
}
.list-g {
  list-style-image: url('../_img/list_g-dg.gif');
}
.list-p {
  list-style-image: url('../_img/list_p-dg.gif');
}
.list-t {
  list-style-image: url('../_img/list_t-dg.gif');
}
.list-v {
  list-style-image: url('../_img/list_v-dg.gif');
}
.list-arrow {
  list-style-image: url('../_img/list_arrow12-dg.gif');
}
.li-extended- > li {
  margin-bottom: 0.5em;
}
ul > li {
  margin-bottom: 0.5em;
}
ul > li > ul > li {
  margin-bottom: 0.2em;
}

.a-button-like li {
  background-color: #232D31;/*#263035*/
  border: 1px solid #232931;
  padding: 2px;
}
.a-button-like li:hover {
  box-shadow: 2px 2px 2px #232931;
}
.a-button-like li a:hover {
  color: #c0ffd0;
  text-decoration: none;
}


.link {
  /*background: #d6f5d6 url('../_img/link-dg.gif') no-repeat 100%;*/
  background: #152615 url('../_img/link-dg.gif') no-repeat 100%;
  color: #eeefff;/*#004000;*/
  font-style: italic;
  padding-right: 16px;
  text-decoration: none;
}
.iframe-link {
  /*background: #152615 url('../_img/window16-dg.gif') no-repeat 100%;*/
  background-image: url('../_img/window16-dg.gif');
  background-repeat: no-repeat;
  background-position: right;
  border: 0 solid #444f54;/*049904;/*#d6f5d6; /*greenyellow;*/
  /*box-shadow: 1px 1px 1px #444f54;*/
  color: #eeefff;
  font-style: italic;
  padding: 1px 18px 1px 2px;
  text-decoration: none;
}
.link:hover,
.iframe-link:hover {
  text-decoration: underline;
}

.bottom-banner {
  bottom: 0;
  color: green;
  display: flex;
  font-size: 90%;
  font-style: italic;
  justify-content: space-between;
  left: 0;
  position: fixed;
  right: 0;
}
.bottom-banner a {
  color: green;
}


.param-line {
  background-color: #2c2c3a;
  border: 1px solid #424257;
  border-bottom-width: 0;
  display: flex;
  padding: 2px;
  margin: auto;
  width: 98%;
}
.param-name {
  border-right-width: 0;
  color: #ff6666;
  float: left;
  width: 30%;
}
.param-line:last-of-type > param-name {
  border-bottom-width: 1px;
}
.param-value {
  color: #8080ff;
  float: left;
  width: 70%;
}
.param-line:last-of-type {
  border-bottom-width: 1px;
}
.param-value:after {
  clear: both;
  content: "";
}
